LibreOffice LibreOffice 25.2 SDK API Reference

Public Types | List of all members
MissingPropertiesException Exception Referencepublished

This exception is used to indicate that there are properties missing. More...

`import"MissingPropertiesException.idl";`

Inheritance diagram for MissingPropertiesException:

## Public Types
typedef sequence< string > | Properties
| contains the names of the missing properties. More...

## Additional Inherited Members
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

This exception is used to indicate that there are properties missing.

For example, to create a new resource, usually one or more property values must be set prior to executing the command "insert", which makes the new resource persistent.

Version
  1.0

See also
  Content

## Member Typedef Documentation

## ◆ Properties

sequence< string > Properties

contains the names of the missing properties.

The documentation for this exception was generated from the following file:

- com/sun/star/ucb/MissingPropertiesException.idl